"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.expressYupMiddleware = void 0;
const schema_validator_1 = require("./schema-validator");
const defaultPropertiesToValidate = ['params', 'body', 'query'];
const BAD_REQUEST = 400;
const expressYupMiddleware = ({ schemaValidator, expectedStatusCode, propertiesToValidate = defaultPropertiesToValidate, }) => async (req, res, next) => {
    const errors = await (0, schema_validator_1.validatePayload)({
        schemaValidator,
        payload: req,
        propertiesToValidate,
    });
    if (!errors) {
        return next();
    }
    return res.status(expectedStatusCode || BAD_REQUEST).send({ errors });
};
exports.expressYupMiddleware = expressYupMiddleware;
//# sourceMappingURL=express-yup-middleware.js.map